<!-- https://pricto.dev/docs/api/list-brands · versión en inglés: https://pricto.dev/docs/api/list-brands.en.md -->

# Listar marcas

`GET https://pricto.dev/v1/brands`

List brands

| Créditos | MCP |
|---|---|
| 0 | — |

## Parámetros

| Parámetro | En | Tipo | Descripción |
|---|---|---|---|
| `q` | query | `string` |  |
| `limit` | query | `integer` |  Default: `50`. |
| `cursor` | query | `string` | Opaque cursor from `pagination.next_cursor`. |

## Respuesta

`200` Brands.

| Campo | Tipo | Descripción |
|---|---|---|
| `data` **requerido** | `Brand[]` |  |
| `data[].id` **requerido** | `string` |  |
| `data[].name` **requerido** | `string` |  |
| `data[].products_count` | `integer` |  |
| `pagination` **requerido** | `Pagination` |  |
| `pagination.has_more` **requerido** | `boolean` |  |
| `pagination.next_cursor` **requerido** | `string \| null` |  |
| `meta` **requerido** | `Meta` |  |

`meta` trae el costo, la fuente para citar, el idioma, la moneda y los avisos (ver [Convenciones](/docs/convenciones)).

## Errores

## Ejemplo

```bash
curl "https://pricto.dev/v1/brands?q=col" \
  -H "Authorization: Bearer sk_test_sandbox"
```
```python
import requests

API_KEY = "sk_test_sandbox"

r = requests.get(
    "https://pricto.dev/v1/brands",
    params={"q": "col"},
    headers={"Authorization": f"Bearer {API_KEY}"},
)
print(r.status_code, r.json())
```
```js
const API_KEY = "sk_test_sandbox";

const res = await fetch(`https://pricto.dev/v1/brands?${new URLSearchParams({"q":"col"})}`, {
  headers: { Authorization: `Bearer ${API_KEY}` },
});
console.log(res.status, await res.json());
```

```json
{
  "data": [
    {
      "id": "colun",
      "name": "Colun",
      "products_count": 4
    },
    {
      "id": "loncoleche",
      "name": "Loncoleche",
      "products_count": 1
    },
    "… 2 más / more"
  ],
  "pagination": {
    "has_more": false,
    "next_cursor": null
  },
  "meta": {
    "request_id": "req_e2e6cfea8f4f4ea0b50f",
    "attribution": {
      "text": "Fuente: Pricto · 23-10-2026 08:00 CLST",
      "source": "Pricto",
      "as_of": "2026-10-23T11:00:00Z",
      "resource_id": null,
      "url": null,
      "capture_method": null,
      "source_url": null
    },
    "credits_charged": 0,
    "credits_deduplicated": 0,
    "credits_remaining": 14988,
    "period_resets_at": "2026-11-01T00:00:00.000Z",
    "usage": {
      "credits_charged": 0,
      "credits_deduplicated": 0,
      "truncated": false,
      "truncated_reason": null,
      "dry_run": false,
      "units": {}
    },
    "lang": "es",
    "currency": "local",
    "data_as_of": "2026-10-23T11:00:00Z",
    "warnings": [
      "synthetic_data: datos sintéticos de ejemplo / synthetic sample data"
    ]
  }
}
```
